%define oname	clit
%define version	1.8
%define tarver	18
%define rel	3

Name: 	 	convlit
Summary: 	Converts Microsoft Reader format eBooks into open format
Version: 	%{version}
Release: 	%mkrel %{rel}
Source:		%{oname}%{tarver}src.zip
Source1:	ltm-0.33.tar.bz2
Patch0:		convlit-format-string.patch
URL:		http://www.convertlit.com/
License:	GPLv2+ and LGPLv2+ and Public Domain
Group:		Publishing
Provides:	clit
Obsoletes:	clit

%description
This program which allows you to convert Microsoft Reader format eBooks into
open format for use with software or devices which are not directly compatible
with Microsoft's Reader.

This package is in the "Tainted" section because it may not be legal in
countries where circumvention of copyright protection is illegal, even if fair
use is intended.

%prep
%setup -q -a1 -c %oname-%version
%apply_patches

perl -p -i -e 's!(-O2|-O3)!%{optflags}!g' libtommath-0.33/makefile lib/Makefile clit%{tarver}/Makefile
perl -p -i -e 's|libtommath-0.30|libtommath-0.33||g' clit%{tarver}/Makefile

%build
cd libtommath-0.33
make
cp *.h ../clit%{tarver}
cd ../lib
%make
cd ../clit%{tarver}
%make
										
%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%_bindir
cp clit%{tarver}/clit %{buildroot}/%_bindir

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%{_bindir}/%oname


%changelog
* Wed Jun 29 2011 ahmad <ahmad> 1.8-3.mga2
+ Revision: 115545
- Correct the License tag (Debian)
- Add the description (s/PLF/Tainted/)
- Make sure we build with our default flags
- Add a patch to fix format string
- imported package convlit


* Wed Jun 29 2011 Ahmad Samir <ahmad@mageia.org>1.8-2.mga2
- Change the package name to convlit

* Sat Jan 19 2008 Anssi Hannula <anssi@zarb.org> 1.8-2plf2008.1
- rebuild

* Wed Dec 29 2004 Austin Acton <austin@zarb.org> 1.8-1plf
- initial package
